package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.ApsProcessOperationProcessEquDo;
import com.rongwei.bsentity.vo.*;
import com.rongwei.rwcommon.base.R;

import java.util.List;

/**
 *
 */
public interface ApsProcessOperationProcessEquService extends IService<ApsProcessOperationProcessEquDo> {

    R updateProductionStatus(CommonUpdateProductionStatusReq request);

    String updateProcessByProcessEquId(String processOperationEquId);

    R changingWires(List<ChangingWiresVo> changingWiresVos);

    R getOptionalEquipment(List<String> operationJobDetailsId);

    R changeStartTime(List<ChangeStartTimeVo> changeStartTimeVo);

    R updateDetails(JobDetailsVo jobDetailsVo);

    R splitDetails(List<ProcessOperationDetailSplitVo> processOperationDetailSplitVos);

}
